@ECHO OFF
SET CUR_DIR=%CD%
SET WBI_DIR=%~dp0
SET WAS_DIR="%WBI_DIR%\..\WAS"
SET CUSTOM_DIR="%WBI_DIR%\..\custom"
SET CMDLINE_ARG=%*

CD /d %WBI_DIR%
IF EXIST "%WBI_DIR%\uninstall*" (
	SET JAVA_CMD="%WBI_DIR%\java\bin\java"
	GOTO :EXEC_SETUP_JAR
)
IF EXIST %WAS_DIR% IF EXIST %CUSTOM_DIR% (
	SET JAVA_CMD="%WBI_DIR%\..\JDK\jre.pak\repository\package.java.jre\java\jre\bin\java"
	GOTO :EXEC_SETUP_JAR
)
IF NOT EXIST %WAS_DIR% GOTO :COPY_AND_START
IF NOT EXIST %CUSTOM_DIR% GOTO :COPY_AND_START

:COPY_AND_START
	IF EXIST %TEMP%\WBI_TMP RD %TEMP%\WBI_TMP /s/q
	IF EXIST %TEMP%\launch.bat DEL %TEMP%\launch.bat /f/q
	MD %TEMP%\WBI_TMP
	MD %TEMP%\WBI_TMP\WBI
	MD %TEMP%\WBI_TMP\JDK
	XCOPY "%WBI_DIR%\..\WBI" %TEMP%\WBI_TMP\WBI /e/q
	XCOPY "%WBI_DIR%\..\JDK" %TEMP%\WBI_TMP\JDK /e/q
	XCOPY "%TEMP%\WBI_TMP\WBI\launch.bat" %TEMP% /e/q
	IF EXIST "%WBI_DIR%\..\custom.wbi" (
		MD %TEMP%\WBI_TMP\custom.wbi
		XCOPY "%WBI_DIR%\..\custom.wbi" %TEMP%\WBI_TMP\custom.wbi /e/q
	)
	CD /d "%TEMP%"
	START /B "" "%TEMP%\launch.bat" %CMDLINE_ARG%
	GOTO :END
	
:EXEC_SETUP_JAR
IF EXIST "%WBI_DIR%\iSeries" SET OS400FLAG=-os400was
START /b "" %JAVA_CMD% -cp "%WBI_DIR%\setup.jar" -Xms256m -Xmx512m run %OS400FLAG% %CMDLINE_ARG%
CD /d %CUR_DIR%

:END
